rpmpopt
Go to the documentation of this file.
#
rpm alias --downgrade --oldpackage \
--POPTdesc=$"Allow an upgrade to replace a newer package with an older one."
rpm alias --what-provides --whatprovides \
--POPTdesc=$"find package name that contains a provided capability"
rpm alias --what-requires --whatrequires \
--POPTdesc=$"find package name that contains a required capability"
rpm alias --norepackage --define '_repackage_all_erasures 0' \
--POPTdesc=$"Disable re-package of the files before erasing"
# RPM_VENDOR_PLD /* rpm-popt-aliases */
# set the time check to <secs>
rpm alias --timecheck --define '_timecheck !#:+'
rpm alias --with --define "_with_!#:+ --with-!#:+" \
--POPTdesc=$"enable configure <option> for build" \
--POPTargs=$"<option>"
rpm alias --without --define "_without_!#:+ --without-!#:+" \
--POPTdesc=$"disable configure <option> for build" \
--POPTargs=$"<option>"
#==============================================================================
rpmb alias --dbpath --define '_dbpath !#:+' \
--POPTdesc=$"use database in DIRECTORY" \
--POPTargs=$"DIRECTORY"
rpmb alias --ftpport --define '_ftpport !#:+'
rpmb alias --ftpproxy --define '_ftpproxy !#:+'
rpmb alias --httpport --define '_httpport !#:+'
rpmb alias --httpproxy --define '_httpproxy !#:+'
rpmb alias --timecheck --define '_timecheck !#:+'
rpmb alias --with --define "_with_!#:+ --with-!#:+" \
--POPTdesc=$"enable configure <option> for build" \
--POPTargs=$"<option>"
rpmb alias --without --define "_without_!#:+ --without-!#:+" \
--POPTdesc=$"disable configure <option> for build" \
--POPTargs=$"<option>"
#==============================================================================
rpmbuild alias --dbpath --define '_dbpath !#:+' \
--POPTdesc=$"use database in DIRECTORY" \
--POPTargs=$"DIRECTORY"
rpmbuild alias --ftpport --define '_ftpport !#:+'
rpmbuild alias --ftpproxy --define '_ftpproxy !#:+'
rpmbuild alias --httpport --define '_httpport !#:+'
rpmbuild alias --httpproxy --define '_httpproxy !#:+'
rpmbuild alias --timecheck --define '_timecheck !#:+'
rpmbuild alias --with --define "_with_!#:+ --with-!#:+" \
--POPTdesc=$"enable configure <option> for build" \
--POPTargs=$"<option>"
rpmbuild alias --without --define "_without_!#:+ --without-!#:+" \
--POPTdesc=$"disable configure <option> for build" \
--POPTargs=$"<option>"
rpmbuild alias --buildroot --define '.buildroot !#:+' \
--POPTdesc=$"override build root" \
--POPTargs=$"DIRECTORY"
rpmbuild alias --lsb --noautoreq --noautoprov \
--define '_use_internal_dependency_generator 0' \
--notinlsb
# \endverbatim
#*/